KBookmarkOwner Class Reference

`#include <kbookmarkmanager.h>`

Inheritance diagram for KBookmarkOwner:

## Public Member Functions

virtual void | openBookmarkURL (const QString &_url)
virtual QString | currentTitle () const
virtual QString | currentURL () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

The KBookmarkMenu and KBookmarkBar classes gives the user the ability to either edit bookmarks or add their own.

In the first case, the app may want to open the bookmark in a special way. In the second case, the app must supply the name and the URL for the bookmark.

This class gives the app this callback-like ability.

If your app does not give the user the ability to add bookmarks and you don't mind using the default bookmark editor to edit your bookmarks, then you don't need to overload this class at all. Rather, just use something like:

`bookmarks = new KBookmarkMenu(new KBookmarkOwner(), ...)`

If you wish to use your own editor or allow the user to add bookmarks, you must overload this class.

Definition at line 317 of file kbookmarkmanager.h.

## Member Function Documentation

virtual QString KBookmarkOwner::currentTitle | ( |  | ) | const

inline virtual

This function is called whenever the user wants to add the current page to the bookmarks list.

The title will become the "name" of the bookmark. You must overload this function if you wish to give your users the ability to add bookmarks.

Returns
  the title of the current page.

Definition at line 334 of file kbookmarkmanager.h.

virtual QString KBookmarkOwner::currentURL | ( |  | ) | const

inline virtual

This function is called whenever the user wants to add the current page to the bookmarks list.

The URL will become the URL of the bookmark. You must overload this function if you wish to give your users the ability to add bookmarks.

Returns
  the URL of the current page.

Definition at line 344 of file kbookmarkmanager.h.

void KBookmarkOwner::openBookmarkURL | ( | const QString & | _url | ) |

virtual

This function is called if the user selects a bookmark.

It will open up the bookmark in a default fashion unless you override it.

Definition at line 637 of file kbookmarkmanager.cc.

The documentation for this class was generated from the following files:

- kbookmarkmanager.h
- kbookmarkmanager.cc

KDE Home | KDE Accessibility Home | Description of Access Keys